> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartsend.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Combine labels for multiple shipments

> This endpoint is used to combine labels for multiple shipments into one PDF file



## OpenAPI

````yaml /openapi-v1.json post /v1/website/{team}/shipments/labels/combine
openapi: 3.0.0
info:
  title: Smart Send API
  description: >-
    This online documentation describes usage of the Smart Send api. We offer
    plugins for many webshop systems all consuming the API outlined in this
    documentation. Usage of the API require an active account for the Smart Send
    system and is subject to usage restrictions such as rate limit as described
    in the terms and conditions.
     *     Shopify plugin: https://www.smartsend.io/integrations/shopify
     *     WooCommerce plugin: https://www.smartsend.io/integrations/woocommerce
     *     PrestaShop plugin: https://www.smartsend.io/integrations/prestashop
     *     Magento plugin: https://www.smartsend.io/integrations/magento
  termsOfService: https://app.smartsend.io/terms-of-service/
  contact:
    name: Support
    url: https://app.smartsend.io/support/
    email: support@smartsend.io
  version: 1.0.1
servers:
  - url: https://app.smartsend.io/api/
    description: Production
security:
  - bearerAuth: []
    apiTokenQuery: []
tags:
  - name: Account
    description: Get account information
    externalDocs:
      description: Find out more
      url: https://smartsend.io/
  - name: Agents
    description: Get filtered lists of agents
    externalDocs:
      description: Find out more
      url: https://smartsend.io/agents
  - name: Closest Agents
    description: Find closest agents
    externalDocs:
      description: Find out more
      url: https://smartsend.io/agents
  - name: Shipments
    description: Everything about Shipments
    externalDocs:
      description: Find out more
      url: https://smartsend.io/shipments
  - name: Bookings
    description: Everything about Bookings
    externalDocs:
      description: Find out more
      url: https://smartsend.io/bookings
externalDocs:
  description: Find out more about Smart Send
  url: https://smartsend.io
paths:
  /v1/website/{team}/shipments/labels/combine:
    post:
      tags:
        - Bookings
      summary: Combine labels for multiple shipments
      description: >-
        This endpoint is used to combine labels for multiple shipments into one
        PDF file
      operationId: GetCombinedTeamShipmentLabel
      parameters:
        - $ref: '#/components/parameters/team'
      requestBody:
        description: Input data format
        content:
          application/json:
            schema:
              required:
                - shipments
              properties:
                shipments:
                  type: array
                  items:
                    description: Shipment
                    required:
                      - shipment_id
                    properties:
                      shipment_id:
                        description: Unique ID
                        type: string
                        format: uuid
                        example: c5540f2b-3eea-45c4-957a-9d7b53f899e7
                    type: object
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/CombinedLabelResource'
                type: object
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '422':
          $ref: '#/components/responses/422'
        '429':
          $ref: '#/components/responses/429'
components:
  parameters:
    team:
      name: team
      in: path
      description: The domain of the website making the agent lookup request
      required: true
      schema:
        type: string
      example: example.com
  schemas:
    CombinedLabelResource:
      description: Combined Label Resource
      required:
        - type
        - shipments
        - pdf
      properties:
        type:
          description: Description of the resource type
          type: string
          example: combined_label
        shipments:
          description: List of shipments
          type: array
          items:
            $ref: '#/components/schemas/CombinedLabelShipmentResource'
        pdf:
          required:
            - link
            - base_64_encoded
          properties:
            link:
              description: Link to the PDF file
              example: https://example.com/labels/DK123456789.pdf
            base_64_encoded:
              description: The base64 encoded PDF file
              example: <base64-encoded-pdf-here>
          type: object
      type: object
    CombinedLabelShipmentResource:
      description: Combined Label Shipment Resource
      required:
        - shipment_id
        - shipment_internal_id
        - shipment_internal_reference
        - carrier_code
        - carrier_name
        - parcels
      properties:
        shipment_id:
          description: Unique ID
          type: string
          format: uuid
          example: c5540f2b-3eea-45c4-957a-9d7b53f899e7
        shipment_internal_id:
          description: The database id used by the website for the resource
          type: string
          example: '870006543'
        shipment_internal_reference:
          description: The id that is used to reference the resource externally
          type: string
          example: '123'
        carrier_code:
          description: The carrier code
          type: string
          example: postnord
        carrier_name:
          description: The carrier name
          type: string
          example: PostNord
        parcels:
          description: List of parcels
          type: array
          items:
            $ref: '#/components/schemas/CombinedLabelParcelResource'
      type: object
    DetailedError:
      description: Detailed Error response
      required:
        - message
        - code
      allOf:
        - $ref: '#/components/schemas/Error'
        - properties:
            id:
              description: Unique ID of the error
              type: string
              example: ''
              nullable: true
            code:
              description: Code describing the type of error
              type: string
              example: ValidationException
            errors:
              description: >-
                Object with keys corresponding to the fields and each key
                containing an array of errors. OpenAPI does not allow for
                dynamic keys until version 3.1 is released
              type: object
            links:
              description: >-
                Object with dynamic keys, each with a URL string value. Dynamic
                keys are not part of OpenAPI until version 3.1 is released
              type: object
          type: object
    Error:
      description: Error response
      required:
        - message
      properties:
        message:
          description: Description of the message
          type: string
          example: Description of the error will be inserted here.
      type: object
    CombinedLabelParcelResource:
      description: Combined Label Parcel Resource
      required:
        - parcel_id
        - parcel_internal_id
        - parcel_internal_reference
        - carrier_code
        - carrier_name
        - tracking_code
        - tracking_link
      properties:
        parcel_id:
          description: Unique ID
          type: string
          format: uuid
          example: c5540f2b-3eea-45c4-957a-9d7b53f899e7
        parcel_internal_id:
          description: The database id used by the website for the resource
          type: string
          example: '88654389'
        parcel_internal_reference:
          description: The id that is used to reference the resource externally
          type: string
          example: '223'
        carrier_code:
          description: The carrier code
          type: string
          example: postnord
        carrier_name:
          description: The carrier name
          type: string
          example: PostNord
        tracking_code:
          description: The parcels tracking code as generated by the carrier
          type: string
          example: DK123456789
        tracking_link:
          description: The parcels tracking link
          type: string
          format: url
          example: https://smartsend.io/tracking/DK123456789
      type: object
  responses:
    '401':
      description: Unauthenticated request. Please provide correct authentication.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailedError'
    '403':
      description: >-
        Forbidden request. User is authenticated but not authorized to perform
        the request.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailedError'
    '422':
      description: Validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/DetailedError'
    '429':
      description: >-
        Too Many Requests. Usage is subject to rate limiting and the limit has
        been reached.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Provide API Token as Bearer authentication
    apiTokenQuery:
      type: apiKey
      description: Query API Token
      name: api_token
      in: query

````